# lzabagent

Module for installing and managing Zabbix agent and its configuration file.

#### Table of Contents

1. [Description](#description)
2. [Setup - The basics of getting started with lzabagent](#setup)
    * [What lzabagent affects](#what-lzabagent-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with lzabagent](#beginning-with-lzabagent)
3. [Usage - Configuration options and additional functionality](#usage)
4. [Limitations - OS compatibility, etc.](#limitations)
5. [Development - Guide for contributing to the module](#development)

## Description

This module ur module was designed to quick install Zabbix agent (version-4.2) on your Read Hat based machines (i.e. RHEL,CentOS, Fedora etc.). This module adds zabbix repository
in the yum, install zabbix agent and resolves other dependencies like firewall and port allowing.

## Setup

```puppet
puppet module install piasxp/lzabagent
```

### Setup Requirements **OPTIONAL**

We recommend to test this module on CentOS 7 or RHEL 7 equivalent OS.

### Beginning with lzabagent

```puppet
node 'your corresponding node' {
  include lzabagent
	}
```

## Usage

This module does the following:

	* Adds zabbix.repo into /etc/yum.repos.d/ with RPM Key
	* Installs Zabbix agent 4.2.x
	* Adds corresponding ports into the firewalld
	* Makes sure that the service is running
	* Makes sure that the service is enabled

## Reference

Learn more about Zabbix services and installation procedures from https://www.zabbix.com/documentation/4.2/manual/installation/install


## Limitations

In the Limitations section, list any incompatibilities, known issues, or other warnings.

## Development

This module has been tested and verified on following operating systems:

	* CentOS 7
	* RHEL 7

## Contributors

I have created this module out of curiosity. Please visit my source repository for the source files and feel to add your valuable comment in it.

